<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_GroupDetail StructType
 * @subpackage Structs
 */
class JP_GroupDetail extends AbstractStructBase
{
    /**
     * The Names
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString5
     */
    public $Names;
    /**
     * Constructor method for JP_GroupDetail
     * @uses JP_GroupDetail::setNames()
     * @param \ArrayType\ArrayOfString5 $names
     */
    public function __construct(\ArrayType\ArrayOfString5 $names = null)
    {
        $this
            ->setNames($names);
    }
    /**
     * Get Names value
     * @return \ArrayType\ArrayOfString5|null
     */
    public function getNames()
    {
        return $this->Names;
    }
    /**
     * Set Names value
     * @param \ArrayType\ArrayOfString5 $names
     * @return \StructType\JP_GroupDetail
     */
    public function setNames(\ArrayType\ArrayOfString5 $names = null)
    {
        $this->Names = $names;
        return $this;
    }
}
